/*! For license information please see main.js.LICENSE.txt */
(()=>{"use strict";var e={"../common/Settings.ts":(e,t,o)=>{o.r(t),o.d(t,{default:()=>SETTINGS});class SETTINGS{static init(e){this.MOD_NAME=e,String.prototype.localize||(String.prototype.localize=function(){return game.i18n.localize(this.valueOf())})}static register(e,t){game.settings.register(SETTINGS.MOD_NAME,e,t)}static registerMenu(e,t){game.settings.registerMenu(SETTINGS.MOD_NAME,e,t)}static get(e){return game.settings.get(SETTINGS.MOD_NAME,e)}static async set(e,t){return await game.settings.set(SETTINGS.MOD_NAME,e,t)}static default(e){return game.settings.settings.get(SETTINGS.MOD_NAME+"."+e).default}static typeOf(){return Object}}},"./src/ControlManager.ts":(e,t,o)=>{o.r(t),o.d(t,{default:()=>ControlManager});var i=o("../common/Settings.ts");class ControlManager extends Application{constructor(){super(...arguments),this.initializationIncomplete=!1,this.magnetMenu=null,this.hooksRegister={}}static async checkBoolean(e,t=!1){return e instanceof Function?await e():t&&(null==e||e)||!t&&!!e}get groups(){return this._groups}get activeGroupName(){return this._activeGroupName}set activeGroupName(e){this._activeGroupName=e}get activeToolName(){const e=this.activeGroup;return e?e.activeTool:null}get activeGroup(){return this.groups&&this.groups.find((e=>e.name===this.activeGroupName))||null}get activeTool(){const e=this.activeGroup;if(!e)return null;return e.tools.find((t=>t.name===e.activeTool))||null}static get defaultOptions(){return mergeObject(super.defaultOptions,{width:100,id:"moduleControls",template:"modules/lib-df-buttons/templates/controls.hbs",popOut:!1,resizable:!1})}static initializeFields(e){var t,o,i;void 0!==e.active&&(e.isActive=e.active),e.toggle=!!e.toggle,e.button=!!e.button,e.isActive=!!e.toggle&&(null!==(t=e.isActive)&&void 0!==t&&t),e.visible=null===(o=e.visible)||void 0===o||o,e.onClick=null!==(i=e.onClick)&&void 0!==i?i:null}async initialize(){this._groups=this._getModuleToolGroups(),this.activeGroupName=null,this.initializationIncomplete=!0}async completeInitialization(){var e;this.initializationIncomplete=!1,this.hooksRegister.collapseSidebarPre=Hooks.on("collapseSidebarPre",this._handleSidebarCollapse.bind(this)),this.hooksRegister.activateGroupByName=Hooks.on("activateGroupByName",this.activateGroupByName.bind(this)),this.hooksRegister.activateToolByName=Hooks.on("activateToolByName",this.activateToolByName.bind(this)),this.hooksRegister.reloadModuleButtons=Hooks.on("reloadModuleButtons",this.reloadModuleButtons.bind(this)),this.hooksRegister.refreshModuleButtons=Hooks.on("refreshModuleButtons",this.refresh.bind(this)),this.hooksRegister.renderSceneControls=Hooks.on("renderSceneControls",(()=>{this.refresh(),this._handleWindowResize()})),this.hooksRegister.collapseSceneNavigation=Hooks.on("collapseSceneNavigation",this._handleWindowResize.bind(this)),this.hooksRegister.renderPlayerList=Hooks.on("renderPlayerList",this._handleWindowResize.bind(this)),window.addEventListener("resize",this._handleWindowResize.bind(this));for(const t of this._groups){if(ControlManager.initializeFields(t),!this.activeGroupName&&!t.toggle&&!t.button&&await ControlManager.checkBoolean(t.visible)){this.activeGroupName=t.name,t.isActive=!0;const e=this.activeGroup;this._invokeHandler(null==e?void 0:e.onClick,e,!1)}for(const o of null!==(e=t.tools)&&void 0!==e?e:[])if(ControlManager.initializeFields(o),!t.activeTool&&!o.toggle&&!o.button&&await ControlManager.checkBoolean(o.visible)){t.activeTool=o.name,o.isActive=!0;const e=this.activeTool;this._invokeHandler(null==e?void 0:e.onClick,e,!1)}}}refresh(){this.render()}_getModuleToolGroups(){const e=[];return Hooks.callAll("getModuleToolGroupsPre",this,e),Hooks.callAll("getModuleToolGroups",this,e),Hooks.callAll("getModuleToolGroupsPost",this,e),e}async getData(e){var t,o,i;if(0==this.groups.length)return{groups:[],singleGroup:!1};const n=[];for(const e of this._groups){if(!await ControlManager.checkBoolean(e.visible,!0)||game.settings.get("core","noCanvas")&&!await ControlManager.checkBoolean(e.noCanvas,!1))continue;const a={name:e.name,icon:e.icon,title:e.title,button:e.button,toggle:e.toggle,class:null!==(t=e.class)&&void 0!==t&&t,active:await ControlManager.checkBoolean(e.isActive),tools:[]};for(const t of null!==(o=e.tools)&&void 0!==o?o:[])!await ControlManager.checkBoolean(t.visible,!0)||game.settings.get("core","noCanvas")&&!await ControlManager.checkBoolean(e.noCanvas,!1)||a.tools.push({name:t.name,icon:t.icon,title:t.title,button:t.button,toggle:t.toggle,class:null!==(i=t.class)&&void 0!==i&&i,active:await ControlManager.checkBoolean(t.isActive)});n.push(a)}const a=1===n.length&&!n[0].button&&!n[0].toggle;if(n.every((e=>!e.active))){const e=n.find((e=>!e.button&&!e.toggle));e.active=!0,e&&this.activateGroupByName(e.name)}return{groups:n,singleGroup:a}}activateListeners(e){e.find(".control-tool[data-group]").on("click",this._onClickGroup.bind(this)),e.find(".control-tool[data-tool]").on("click",this._onClickTool.bind(this)),e.find("#magnet").on("click",(async()=>{this.magnetMenu||(this.magnetMenu=$(await renderTemplate(`/modules/${i.default.MOD_NAME}/templates/magnet.hbs`,{})),this.magnetMenu.find("button").on("click",(async e=>{this.magnetMenu.remove(),this.magnetMenu=null,await i.default.set("position",e.currentTarget.classList[0])})),this.magnetMenu.find(".close").on("click",(()=>{this.magnetMenu.remove(),this.magnetMenu=null})),$("body").append(this.magnetMenu))}))}async _invokeHandler(e,t,o){null!=e&&(e.prototype?await e.bind(t)(o):await e(o))}async _onClickGroup(e){e.preventDefault();const t=e.currentTarget.dataset.group,o=this.groups.find((e=>e.name===t));if(o.toggle){const e=!await ControlManager.checkBoolean(o.isActive);o.isActive instanceof Function||(o.isActive=e),this._invokeHandler(o.onClick,o,e),this.refresh()}else o.button?await this._invokeHandler(o.onClick,o):this.activateGroupByName(t)}async _onClickTool(e){e.preventDefault();const t=e.currentTarget,o=this.activeGroup,i=t.dataset.tool,n=o.tools.find((e=>e.name===i));if(n.toggle){const e=!await ControlManager.checkBoolean(n.isActive);n.isActive instanceof Function||(n.isActive=e),this._invokeHandler(n.onClick,n,e),this.refresh()}else n.button?this._invokeHandler(n.onClick,n):this.activateToolByName(this.activeGroupName,i,!0)}_injectHTML(e){$("body").append(e),this._element=e}async _render(e=!1,t={}){if(this.initializationIncomplete&&await this.completeInitialization(),game.ready){switch(await super._render(e,t),ui.sidebar._collapsed&&this.element.css("right","35px"),this.element[0].removeAttribute("class"),this.element[0].classList.add("app"),i.default.get("position")){case"top":this.element[0].classList.add("top");break;case"left":this.element[0].classList.add("left");break;case"bottom":this.element[0].classList.add("bottom")}this._handleSidebarCollapse(ui.sidebar,ui.sidebar._collapsed),this._handleWindowResize()}}close(e){return Hooks.off("collapseSidebarPre",this.hooksRegister.collapseSidebarPre),Hooks.off("activateGroupByName",this.hooksRegister.activateGroupByName),Hooks.off("activateToolByName",this.hooksRegister.activateToolByName),Hooks.off("reloadModuleButtons",this.hooksRegister.reloadModuleButtons),Hooks.off("renderSceneControls",this.hooksRegister.renderSceneControls),Hooks.off("collapseSceneNavigation",this.hooksRegister.collapseSceneNavigation),Hooks.off("renderPlayerList",this.hooksRegister.renderPlayerList),window.removeEventListener("resize",this._handleWindowResize),super.close(e)}_handleSidebarCollapse(e,t){const o="40px",n="310px",a=t?32!==e.element[0].offsetWidth:300!==e.element[0].offsetWidth;"right"===i.default.get("position")?a?t?this.element.delay(250).animate({right:o},150):this.element.animate({right:n},150):this.element[0].style.right=t?o:n:this.element.css("right","unset")}getLeftWidth(){let e=1;const t=document.querySelector("#controls > ol.sub-controls.app.control-tools.flexcol.active"),o=Math.floor(t.offsetHeight/ControlManager.CONTROL_HEIGHT);return e+=Math.ceil(t.childElementCount/o),e*ControlManager.CONTROL_WIDTH+20}getTopHeight(e){const t=document.querySelector("#ui-middle #ui-top #navigation");let o=t.offsetHeight+t.offsetTop;if(e){const e=document.querySelector("#ui-left > #controls > ol.main-controls.app.control-tools.flexcol");o=Math.max(o,e.offsetTop)}return o}_handleWindowResize(){if(0===this.element.length)return;let e,t;const o=i.default.get("position");switch(this.element.addClass(o),o){case"top":this.element[0].style.marginTop=this.getTopHeight(!1)+"px",this.element[0].style.marginLeft=this.getLeftWidth()+"px";break;case"left":{const o=document.querySelector("#ui-left > #controls");this.element[0].style.height=`${o.offsetHeight}px`,e=Math.floor(o.offsetHeight/ControlManager.CONTROL_WIDTH),t=Math.ceil(this.groups.length/e),this.element.find(".group-tools").css("margin-left",(t-1)*(ControlManager.CONTROL_WIDTH+2)+"px"),this.element[0].style.marginTop=this.getTopHeight(!0)+"px",this.element[0].style.marginLeft=this.getLeftWidth()+"px";break}case"bottom":this.element[0].style.left=document.getElementById("ui-middle").offsetLeft+document.getElementById("hotbar-directory-controls").offsetLeft+"px",this.element[0].style.bottom=document.getElementById("hotbar").offsetHeight+10+"px";break;default:e=Math.floor(this.element[0].offsetHeight/ControlManager.CONTROL_WIDTH),t=Math.ceil(this.groups.length/e),this.element.find(".group-tools").css("margin-right",(t-1)*(ControlManager.CONTROL_WIDTH+2)+"px"),this.element[0].style.top=document.getElementById("sidebar-tabs").offsetTop+"px"}}async activateGroupByName(e){const t=this.groups.find((t=>t.name===e));if(!t)return void console.warn(`ControlManager::activateGroupByName > Attempted to activate ToolGroup with non-existant name '${e}'`);if(t.button||t.toggle)return void console.warn("ControlManager::activateGroupByName > Attempted to activate ToolGroup that is either a button or toggle");if(this.activeGroupName===e)return void this.refresh();const o=this.activeGroup;this.activeGroupName=e,o&&(o.isActive=!1,await this._invokeHandler(o.onClick,o,!1)),t.isActive=!0,await this._invokeHandler(t.onClick,t,!0),this.refresh(),Hooks.callAll("toolGroupActivated",this,t)}async activateToolByName(e,t,o=!0){const i=this.groups.find((t=>t.name===e));if(!i)return void console.warn(`ControlManager::activateToolByName > Attempted to activate ToolGroup with non-existant name '${e}'`);const n=i.tools.find((e=>e.name===t));if(!n)return void console.warn(`ControlManager::activateToolByName > Attempted to activate Tool with non-existant name '${t}'`);if(n.button||n.toggle)return void console.warn("ControlManager::activateToolByName > Attempted to activate Tool that is either a button or toggle");if(i.activeTool===t)return void this.refresh();const a=i.tools.find((e=>e.name===i.activeTool));i.activeTool=t,a&&(a.isActive=!1,await this._invokeHandler(a.onClick,a,!1)),n.isActive=!0,await this._invokeHandler(n.onClick,n,!0),o&&this.activeGroupName!==e?this.activateGroupByName(e):this.activeGroupName===e&&this.refresh(),Hooks.callAll("toolActivated",this,i,n)}reloadModuleButtons(){Hooks.callAll("moduleButtonsReloading",this);const e=this.activeGroup;this._invokeHandler(null==e?void 0:e.onClick,e,!1);for(const e of this._groups){const t=e.activeTool&&e.tools?e.tools.find((t=>t.name===e.activeTool)):void 0;this._invokeHandler(null==t?void 0:t.onClick,t,!1)}ui.moduleControls.initialize(),ui.moduleControls.render()}}ControlManager.CONTROL_WIDTH=43,ControlManager.CONTROL_HEIGHT=48}},t={};function __webpack_require__(o){var i=t[o];if(void 0!==i)return i.exports;var n=t[o]={exports:{}};return e[o](n,n.exports,__webpack_require__),n.exports}__webpack_require__.d=(e,t)=>{for(var o in t)__webpack_require__.o(t,o)&&!__webpack_require__.o(e,o)&&Object.defineProperty(e,o,{enumerable:!0,get:t[o]})},__webpack_require__.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),__webpack_require__.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})};var o={};(()=>{__webpack_require__.r(o);var e=__webpack_require__("../common/Settings.ts"),t=__webpack_require__("./src/ControlManager.ts");e.default.init("lib-df-buttons"),Hooks.once("init",(()=>{var o;ui.moduleControls=new t.default,e.default.register("position",{scope:"client",choices:{right:"LIB_DF_BUTTONS.choices.right",left:"LIB_DF_BUTTONS.choices.left",top:"LIB_DF_BUTTONS.choices.top",bottom:"LIB_DF_BUTTONS.choices.bottom"},name:"LIB_DF_BUTTONS.name",hint:"LIB_DF_BUTTONS.hint",config:!1,default:"left",onChange:()=>ui.moduleControls.render()}),(null===(o=game.modules.get("libWrapper"))||void 0===o?void 0:o.active)?(libWrapper.register(e.default.MOD_NAME,"Sidebar.prototype.expand",(function(e){Hooks.callAll("collapseSidebarPre",this,!this._collapsed),e()}),"WRAPPER"),libWrapper.register(e.default.MOD_NAME,"Sidebar.prototype.collapse",(function(e){Hooks.callAll("collapseSidebarPre",this,!this._collapsed),e()}),"WRAPPER")):(Sidebar.prototype.expand_ORIG=Sidebar.prototype.expand,Sidebar.prototype.expand=function(){Hooks.callAll("collapseSidebarPre",this,!this._collapsed),Sidebar.prototype.expand_ORIG.bind(this)()},Sidebar.prototype.collapse_ORIG=Sidebar.prototype.collapse,Sidebar.prototype.collapse=function(){Hooks.callAll("collapseSidebarPre",this,!this._collapsed),Sidebar.prototype.collapse_ORIG.bind(this)()})})),Hooks.once("setup",(()=>{ui.moduleControls.initialize()})),Hooks.once("ready",(()=>{ui.moduleControls.render(!0)}))})()})();
//# sourceMappingURL=main.js.map